#                                      Copyright 2025 WebPros International, LLC
#                                                           All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited.

package Cpanel::Config::ConfigObj::Driver::Xovi;

use cPstrict;

*VERSION = \$Cpanel::Config::ConfigObj::Driver::Xovi::META::VERSION;

use Cpanel::Config::ConfigObj                     ();
use Cpanel::Config::ConfigObj::Driver::Xovi::META ();

use parent qw( Cpanel::Config::ConfigObj::Interface::Config::v1 );

sub init {
    my ( $class, $software_obj ) = @_;

    my $defaults = {
        'settings'      => {},
        'thirdparty_ns' => "",
    };

    my $self = $class->SUPER::base( $defaults, $software_obj );

    return $self;
}

sub enable {
    my ($self) = @_;
    return 1;
}

sub disable {
    my ($self) = @_;
    return 0;
}

sub info {
    my ($self) = @_;
    return $self->meta()->abstract();
}

sub check {
    my ($self) = @_;
    return 1;
}

1;
